<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet extension-element-prefixes="sw exsl"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:sw="http://www.swsoft.com/xsl/cp" xmlns:exsl="http://exslt.org/common"
    xmlns:sb="http://www.swsoft.com/xsl/cp/sb" xmlns:api="http://www.swsoft.com/xsl/cp/api">

    <sw:include href="/lib/api/ui_data.xsl"/>

    <xsl:output method="xml" indent="yes"/>

    <xsl:param name="item-id"/>

    <xsl:template match="/">
        <xsl:variable name="item-ids-rtf">
            <xsl:if test="string-length($item-id) != 0">
                <item-id>
                    <xsl:value-of select="$item-id"/>
                </item-id>
            </xsl:if>
            <xsl:copy-of select="/*/item-id"/>
        </xsl:variable>
        <xsl:copy-of select="api:get_menu('vzcc',exsl:node-set($item-ids-rtf))"/>
    </xsl:template>
</xsl:stylesheet>
