<!--
	Copyright (c) SWsoft, 1999-2007
	All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl local func numeric"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:func="http://exslt.org/functions"
	xmlns:exsl="http://exslt.org/common" 
	xmlns:sw="http://www.swsoft.com/xsl/cp" 
	xmlns:local="http://www.swsoft.com/xsl/cp/local"
	xmlns:numeric="http://www.swsoft.com/xsl/cp/numeric"
>

	<func:function name="numeric:bytes2gb">
  	<xsl:param name="num"/>
		<func:result select="format-number(sw:if($num!='',$num,0) div 1073741824,'###0') "/>		
  </func:function>
  
  <func:function name="numeric:gb2bytes">
  	<xsl:param name="num"/>
		<func:result select="format-number(sw:if($num!='',$num,0) * 1073741824,'###0') "/>		
  </func:function>
  
</xsl:stylesheet>
