<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  >

  <xsl:template name="panel-login-js">
    <xsl:param name="id"/>  
    <xsl:param name="login" select="'username'"/>
    <xsl:param name="passwd" select="'password'"/>
    <xsl:param name="saveformjs"/>    

    function saveform() {
        if (document.loginForm.save.checked) {
          setCookie("vzcp-<xsl:value-of select="$id"/>-login", document.loginForm.<xsl:value-of select="$login"/>.value, 2E12);
          setCookie("vzcp-<xsl:value-of select="$id"/>-password", document.loginForm.<xsl:value-of select="$passwd"/>.value, 2E12);
        }
        <xsl:value-of select="$saveformjs"/>
      }
      
      function onLoad() {
        var login = getCookie("vzcp-<xsl:value-of select="$id"/>-login");
        if (login != null <![CDATA[&&]]> document.loginForm.<xsl:value-of select="$login"/>)
          document.loginForm.<xsl:value-of select="$login"/>.value = login
      
        var passwd = getCookie("vzcp-<xsl:value-of select="$id"/>-password");
        if (passwd != null <![CDATA[&&]]> document.loginForm.<xsl:value-of select="$passwd"/>)
          document.loginForm.<xsl:value-of select="$passwd"/>.value = passwd;

        autoFocus();
      }

  </xsl:template>


</xsl:stylesheet>
