<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  xmlns:licensem="http://www.swsoft.com/xsl/cp/licensem"
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
  >

	<sw:include href="/lib/globals.xsl"/>
	<sw:include href="/lib/cred.xsl"/>
  <sw:include href="/lib/common.xsl"/>
  <sw:include href="/lib/swa/licensem.xsl"/>

	<xsl:param name="access-denied"/>
	<xsl:param name="access-denied-license"/>

	<xsl:template match="/">
		<xsl:choose>
			<!-- handle global access-denied variable -->
			<xsl:when test="$access-denied">
				<ui:redirect location="{concat($baseurl,'/access-denied')}"/>
			</xsl:when>
			<xsl:when test="$access-denied-license">
				<ui:redirect location="{concat($baseurl,'/access-denied-license')}"/>
			</xsl:when>

			<!-- regular screen processing -->
			<xsl:otherwise>
				<xsl:apply-templates mode="screen" select="/"/>				
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>	


</xsl:stylesheet>
