<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func dyn"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:func="http://exslt.org/functions"
  xmlns:dyn="http://exslt.org/dynamic"
  xmlns:computerm="http://www.swsoft.com/xsl/cp/computerm"
>  

	<!-- get HN system  info -->
  <func:function name="computerm:get-system">
  	<xsl:param name="hn-eid"/>
    <xsl:variable name="req">
			<packet>
				<target>computerm</target>
				<xsl:copy-of select="sw:hn-dst($hn-eid)"/>
				<data>
					<computerm>
						<get_system/>
					</computerm>
				</data>
				<vzcpauth/>
      </packet>
    </xsl:variable>
    <func:result select="sw:xchg($req)/packet/data/computerm/system"/>
	</func:function>

	
  <!-- get HN disk  info -->
  <func:function name="computerm:get-disk">
  	<xsl:param name="hn-eid"/>
    <xsl:variable name="req">
			<packet>
				<target>computerm</target>
				<xsl:copy-of select="sw:hn-dst($hn-eid)"/>
				<data>
					<computerm>
						<get_disk/>
					</computerm>
				</data> 
				<vzcpauth/>
    	</packet>
    </xsl:variable>
    <func:result select="sw:xchg($req)/packet/data/computerm/disk"/>
	</func:function>
	
	<!-- get HW network  info -->
  <func:function name="computerm:get-network">
  	<xsl:param name="hn-eid"/>
    <xsl:variable name="req">
			<packet>
				<target>computerm</target>
				<xsl:copy-of select="sw:hn-dst($hn-eid)"/>
				<data>
					<computerm>
						<get_network/>
					</computerm>
				</data>
      </packet>
    </xsl:variable>
    <func:result select="sw:xchg($req)/packet/data/computerm/network"/>
	</func:function>

</xsl:stylesheet>
