<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func local res_log"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:func="http://exslt.org/functions"
  xmlns:res-log="http://www.swsoft.com/xsl/cp/res-log"
 	xmlns:local="http://www.swsoft.com/xsl/cp/local"
>  
 
	<func:function name="res-log:get-settings">
		<xsl:param name="hn-eid"/>
		
		<xsl:variable name="req">
			<packet log="on">
				<target>res_log</target>
				<xsl:copy-of select="sw:hn-dst($hn-eid)"/>
				<data>
					<res_log>
						<get_log_info/>
					</res_log>
				</data>
			</packet>
		</xsl:variable>
		<xsl:variable name="res" select="sw:xchg($req)/packet"/>
		<xsl:variable name="res-error" select="$res/error|$res/data/error|$res/data/op_log/error"/>
		
		<xsl:choose>
			<xsl:when test="$res-error">
				<func:result select="$res-error"/>					
			</xsl:when>
			<xsl:otherwise>
				<func:result select="$res/data/res_log/log_info"/>						
			</xsl:otherwise>
		</xsl:choose>
		
	</func:function>

</xsl:stylesheet>
