<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
	xmlns:vzenv="http://www.swsoft.com/xsl/cp/vzenv"
  >

	<xsl:output method="xml" encoding="utf-8"/>  

	<xsl:param name="access-denied" select="boolean($activeMode!='vzcc')"/>	
	
	<xsl:template match="/">
		<ui:screen id="18.00.00.00.00">
      <ui:properties>
        <ui:width value="fixed"/>
        <ui:description>
          <sw:text>On this screen you can download the Parallels Virtuozzo Containers documentation and Parallels Management Console software.</sw:text>
        </ui:description>
        <ui:form-get/>
      </ui:properties>       
       <ui:tab-bar id="support" current-tab="downloads"/>  
      <ui:content>
      	<ui:block>
					<ui:raw>
						<xsl:call-template name="download-box"/>
					</ui:raw>
				</ui:block>
			</ui:content>
			
		</ui:screen>
	</xsl:template>

  <sw:include href="/lib/globals.xsl"/>
  <sw:include href="/lib/cred.xsl"/>
  <sw:include href="/lib/common.xsl"/>
  <sw:include href="/lib/dashboard.xsl"/>  
  <sw:include href="/lib/download.xsl"/>  
  <sw:include href="/lib/vt/env-private.xsl"/>

</xsl:stylesheet>
