	<!--
	Copyright (c) SWsoft, 1999-2007
	All rights reserved.
-->
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred trace"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp" 
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred" 
	xmlns:trace="http://www.swsoft.com/xsl/cp/trace">

	<xsl:param name="access-denied" select="boolean($activeMode!='vzcc')"/>	

	<!-- search vzenv screen in path -->
	<xsl:template mode="screen" match="/">
		<ui:screen id="12.00.00.00.00">
			<ui:content>
				<xsl:call-template name="dashboard">
					<xsl:with-param name="screen-id" select="'12.00.00.00.00'"/>
					<xsl:with-param name="is-compact" select="'true'"/>
				</xsl:call-template>
			</ui:content>
		</ui:screen>
	</xsl:template>

	<sw:include href="/lib/screen.xsl" />
	<sw:include href="/lib/dashboard.xsl" />	

</xsl:stylesheet>
