<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred check"
  xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl		="http://exslt.org/common"
  xmlns:sw			="http://www.swsoft.com/xsl/cp"
  xmlns:error		="http://www.swsoft.com/xsl/cp/error"
  xmlns:check		="http://www.swsoft.com/xsl/cp/check"
  xmlns:cred 		="http://www.swsoft.com/xsl/cp/cred"
  xmlns:request	="http://www.swsoft.com/xsl/cp/request"
  xmlns:user-profile		="http://www.swsoft.com/xsl/cp/user-profile"		
>

	<sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/core/check-funcs.xsl"/>
	<sw:include href="/lib/core/user-profile.xsl"/>
	<sw:include href="/lib/globals.xsl"/>
	<sw:include href="/lib/common.xsl"/>


	<xsl:output method="xml"/>
  
	<xsl:variable name="banners" select="sw:if(sw:param('vzcc_banners')='1','true','false')"/>

	<xsl:template match="/">
		<packet>
			<xsl:if test="user-profile:set-attr(user-profile:logged-ref(),'showBanners',$banners)"/>
			<xsl:value-of select="sw:sesput('vzcc_banners', $banners)"/>
		</packet>
	</xsl:template>

</xsl:stylesheet>
