<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred sb func"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"
  xmlns:cred	="http://www.swsoft.com/xsl/cp/cred"
	xmlns:check	="http://www.swsoft.com/xsl/cp/check"
	xmlns:sb		="http://www.swsoft.com/xsl/cp/sb"
	xmlns:func	="http://exslt.org/functions"
  >

	<sw:include href="/lib/sitebuilder.xsl"/>

	<xsl:template match="/">
		<ui:raw>
			<xsl:text disable-output-escaping="yes">&lt;!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"&gt;&#10;</xsl:text>
			<html>
				<head>
					<link rel="stylesheet" type="text/css" href="/{$theme}/left-pp.css"/>
					<link rel="stylesheet" type="text/css" href="/{$theme}/common.css"/> 
 					<script type="text/javascript" src="/vz/js/common_script.js"></script>
					<script type="text/javascript">
						<![CDATA[
							function _callNavigate(){
								if (top.main && top.main.callNavigate)
									top.main.callNavigate()
							}
													
							function callScroll(){
								if (navigator.appName == 'Microsoft Internet Explorer' &&
									document.documentElement && 
									navigator.userAgent.indexOf ('Opera') == -1) 
										top.setScrollInIE();
								}
						]]>
					</script>
				</head>

				<body marginheight="0" marginwidth="0" topmargin="0" leftmargin="0" rightmargin="0" class="leftFrame" onload="callScroll();_callNavigate()">
					<table cellspacing="0" cellpadding="0" width="100%" height="100%" border="0" id="navArea">
						<tr>
							<!-- MENU -->
							<td width="100%" height="100%" valign="top" class="Menu">
								<xsl:if test="$ticket">
									<xsl:call-template name="vzpp_menu"/>
								</xsl:if>
							</td>
						</tr>
					</table>
				</body>
			</html>
		</ui:raw>
	</xsl:template>

	<sw:include href="/lib/globals.xsl"/>
	<sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/common.xsl"/>	
	<sw:include href="/lib/nav_menu.xsl"/>

</xsl:stylesheet>
