//--- DnD flys;
//-
var DNDinfra = parent.DNDinfra;
var DNDlogical = parent.DNDlogical;

function flybackDIV() {
	if (G_move.onMove == 1) {

		var m = findPos( G_move.id );
		var x1 = m[0];
		var y1 = m[1];
		var x2 = G_move.SelectedX-3;
		var y2 = G_move.SelectedY-5;
		flyObj.x = new Array();
		flyObj.y = new Array();
		var xstart = x1;
		var ystart = y1;
		var xend = x2;
		var yend = y2;
		flyObj.L = Math.max( Math.abs(xend-xstart), Math.abs(yend-ystart) );
		var dX = (x2-x1) / flyObj.L;
		var dY = (y2-y1) / flyObj.L;
		var i = 0;
		flyObj.x[i] = x1;
		flyObj.y[i] = y1;
		i++;
		while (i < flyObj.L) {
			flyObj.x[i] = flyObj.x[i-1] + dX;
			flyObj.y[i] = flyObj.y[i-1] + dY;
			i++;
		}
		flyObj.x[i] = x2;
		flyObj.y[i] = y2;

		flyObj.i = 0;
		flyObj.inc = 0;
		flyObj.iStep = G_event.is_IE?5:3;
		flyObj.id = G_move.id;
		G_move.onFly = 1;

		setTimeout('flyDraw()',5);
	}
}

function flyDraw() {
	if (flyObj.i <= flyObj.L) {

		setDIVxy( flyObj.id, Math.round(flyObj.x[flyObj.i]), Math.round(flyObj.y[flyObj.i]) );
		flyObj.i+=Math.round(flyObj.iStep+flyObj.inc);
		flyObj.inc+=.75;
		setTimeout('flyDraw()',5);

	} else {

		hideDIV( flyObj.id );
		flyObj.id = '';
		G_move.onFly = 0;
	}
}

function getStyle(el,styleProp) {
	var x = document.getElementById(el);
	if (x.currentStyle)
		var y = x.currentStyle[styleProp];
	else if (window.getComputedStyle)
		var y = document.defaultView.getComputedStyle(x,null).getPropertyValue(styleProp);
	return y;
}

function hiLightGET(id,hi) {

	switch (hi) {

	case 1: if (id != G_move.hiLightGET) {

			//--- hilight OFF;
			var h = document.getElementById(G_move.hiLightGET);
			if (h) {
				h.style.backgroundColor = G_move.hiLightGET_bg;
				h.style.color = G_move.hiLightGET_c;
			}
			G_move.hiLightGET='';

			//--- hilight ON;
			var h_new = document.getElementById(id);
			if (h_new) {
				G_move.hiLightGET = id;
				G_move.hiLightGET_bg = h_new.style.backgroundColor;
				G_move.hiLightGET_c = h_new.style.color;
				h_new.style.backgroundColor = getStyle('moveTip','color');
				h_new.style.color = 'white';
			}
		}
		break; 

	default: 
		//--- hilight OFF;
		var h = document.getElementById(G_move.hiLightGET);
		if (h) {
			h.style.backgroundColor = G_move.hiLightGET_bg;
			h.style.color = G_move.hiLightGET_c;
		}
		G_move.hiLightGET = '';
	}
}

function accDraw() {
	if (accObj.i < 10) {

		accObj.obj.innerHTML = '';
		accObj.obj.style.width = Math.floor( accObj.xs-(accObj.i*accObj.xs/10) ) + 'px';
		accObj.obj.style.height = Math.floor( accObj.ys-(accObj.i*accObj.ys/10) ) + 'px';

		var x = Math.ceil( accObj.p[0]+(accObj.xs/20)*accObj.i );
		var y = Math.ceil( accObj.p[1]+(accObj.ys/20)*accObj.i );

		setDIVxy( accObj.id, x, y );
		accObj.i++;
		setTimeout('accDraw()',5);

	} else {
		hideDIV( accObj.id );
		accObj.obj.style.width = '';
		accObj.obj.style.height = '';
		accObj.obj.style.fontSize = '';
		accObj.id = '';
		G_move.onAcc = 0;
	}
}

function get_var_from(obj,v,p) {
//--- find FIRST '64:' encoding;
	var s = new String(obj.onmousedown);
	var ret='';
	var b=s.indexOf('64:');
	if (b!=-1) {
		var n=eClear( s.substr( b+3, s.indexOf(',',b+3)-b-3 ), 0);
		n=decode64(n);
		b=n.indexOf(v);
		ret=eClear( n.substr( b+v.length, n.indexOf(';',b+v.length)-b-v.length ), p<0?0:1);
	}
	return ret;
}

function get_OU_id(obj) {
	var s = new String(obj.onmousedown);
	var ret='NaN';
	var b=s.indexOf('root-ou=');
	if (b!=-1) {
		ret=eClear( s.substr( b+8, s.indexOf(',',b+8)-b-8 ), 0);
	} else {
		b=s.indexOf('root-OU=');
		if (b!=-1) { ret=eClear( s.substr( b+8, s.indexOf(',',b+8)-b-8 ), 0); }
	}
	return ret;
}

function acceptGETcheck(type,objtype) {

	switch(type) {
	
	case 'child':

		//---check self tree;
		var s = new String( G_move.found.onmousedown );

		var c = 'ou='+get_OU_id( G_move.callerItem )+',';
		if ( s.indexOf( c )!=-1 ) { return false; }

		var cwin = 'OU='+get_OU_id( G_move.callerItem )+',';
		if ( s.indexOf( cwin )!=-1 ) { return false; }

		//---check self parent;
		var p = new String( G_move.callerItem.onmousedown );

		var a = 'ou='+get_OU_id( G_move.found )+',';
		var b = p.indexOf( c );
		if (b!=-1) {
			var f = eClear( p.substr( b+c.length, p.indexOf(',',b+c.length)-b-c.length+1 ), 0);
			if ( a==f || (a+f)=='ou=NaN,'+DNDinfra+',' || (a+f)=='ou=NaN,'+DNDlogical+',' ) { return false; }
		}
		
		var a = 'OU='+get_OU_id( G_move.found )+',';
		var b = p.indexOf( cwin );
		if (b!=-1) {
			var f = eClear( p.substr( b+cwin.length, p.indexOf(',',b+cwin.length)-b-cwin.length+1 ), 0);
			if ( a==f || (a+f)=='OU=NaN,'+DNDinfra+',' || (a+f)=='OU=NaN,'+DNDlogical+',' ) { return false; }
		}
		break;

	case 'platform':
	
		var md = new String(G_move.found.onmousedown);
		var tmp=md.split('@::');
		//--- different nodes;
		if ( tmp[3]==G_move.callerVEparent ) { return false; }
		//--- same platform;
		if ( md.indexOf('@::'+G_move.callerVE)!=-1 ) { return true; }
		return false;
		break;
		
	}
	
	return true;
}

function acceptGET() {
	if ( G_move.SelectedItem && G_move.id != '' && G_move.foundObj != null ) {

		if (G_move.foundObj.child=='check') {
			if (!acceptGETcheck('child', G_move.callerOper)) { G_move.foundObj=null; return false; }
		}
		if (G_move.foundObj.platform=='same') {
			if (!acceptGETcheck('platform', G_move.callerOper)) { G_move.foundObj=null; return false; }
		}

		accObj.id = G_move.id;
		accObj.obj = document.getElementById( accObj.id );
		accObj.p = findPos( accObj.id );

		accObj.xs = parseInt(accObj.obj.offsetWidth)-7;
		accObj.ys = parseInt(accObj.obj.offsetHeight)-7;
		accObj.obj.style.width = accObj.xs + 'px';
		accObj.obj.style.height = accObj.ys + 'px';

		accObj.obj.innerHTML = '';
		accObj.obj.style.fontSize = '1px';
		accObj.i = 1;
		G_move.onAcc = 1;
			
		setTimeout( 'accDraw()', 10 );

		//---operation;
		if ( G_move.foundObj.href!='' ) {

			var src_dn = get_var_from( G_move.callerItem, 'cluster_dnd_id =', -1 );
			var src_parent_dn = get_var_from( G_move.callerItem, 'cluster_dnd_parent_dn =', -1 );
			var dst_dn = get_var_from( G_move.found, 'cluster_dnd_id =', -1 );

			//---check move_ve;
			if (src_dn!='' && G_move.foundObj.name=='move_ve') {
				var log=decompDN(logicalDN).toUpperCase();
				var foc=decompDN(src_dn).toUpperCase();
				if (foc.indexOf(log)==-1) {
					G_move.foundObj.name='shortcut_ve%';
					G_move.foundObj.href = G_move.foundObj.href.replace(/move_ve/g, 'add_ve');
				}
			}

			if ( !dst_dn || dst_dn=='' ) {
				var s = new String(G_move.found.onmousedown);
				var b = s.indexOf('cluster_dnd_id =');
				if (b!=-1) { dst_dn=eClear( s.substr( b+16, s.indexOf(';',b+16)-b-16 ), 0); }
			}

			if ( dst_dn != '' ) {
				var	src_id = '';
				if (src_dn!='') {
					var b=src_dn.indexOf('=');
					if (b!=-1) {
						src_id = src_dn.substr( b+1, src_dn.indexOf(',')-(b+1) );
					}
				}
				var	dst_id = '';
				if (dst_dn!='') {
					var b=dst_dn.indexOf('=');
					if (b!=-1) {
						dst_id = dst_dn.substr( b+1, dst_dn.indexOf(',')-(b+1) );
					}
				}

				G_move.foundObj.href = G_move.foundObj.href.replace(/%src-parent;/g, src_parent_dn);
				switch (G_move.foundObj.name) {
					case 'migrate_ve':
					case 'shortcut_ve': src_id=encode64( G_move.callerVEid ); break;
				}

				G_move.foundObj.href = G_move.foundObj.href.replace(/%src;/g, src_dn);
				G_move.foundObj.href = G_move.foundObj.href.replace(/%src-id;/g, src_id);
				G_move.foundObj.href = G_move.foundObj.href.replace(/%dst;/g, dst_dn);

				//---prepare VE operations (migration, etc);
				var send_url = G_move.foundObj.href+'&set_hn='+dst_id;
				var url = secureURI( actionPROXY+'?type=ve.vz.vt&url='+encode64(send_url)+'&base64=1&id='+src_id );

				//---clear modifyed name;
				G_move.foundObj.name = G_move.foundObj.name.replace(/%/g, '');

				//---switch open;
				switch (G_move.foundObj.target) {
					case 'menu': top.menu.location.href=url; break;
					case 'main': top.main.location.href=url; break;
					case 'self': parent.location.href=url; break;
					case 'blank': window.open(url); break;
					default: //---all movements here!
						java_put( G_move.foundObj.href, 'GET', '', G_move.foundObj.name );
						break;
				}
			}
		}

		G_move.foundObj=null;
	}
}

