<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui	="http://www.swsoft.com/xsl/cp/ui"  	
  >


<!--
	Flexible (button-like) banner
	Required attributes:
		id - must have corresponding style in banners.css
		url - URL for opening window
	All child nodes passed to the HTML "as is"
-->


	<xsl:template match="ui:banner">
		
		<div class="bannerContainer" onclick="window.open('{@url}','_blank')">
			<table cellpadding="0" cellspacing="0" border="0" class="banner{@id}">
				<tr>
					<td class="bannerLeft">
						<img src="/{$theme}/images/1x1.gif" border="0"/>
					</td>
					<td class="bannerCenter" nowrap="nowrap" style="background-image: url(/{$theme}/images/{@image})">
						<xsl:copy-of select="./child::node()"/>
					</td>
					<td class="bannerRight">
						<img src="/{$theme}/images/1x1.gif" border="0"/>
					</td>
				</tr>
			</table>
		</div>	
	</xsl:template>

</xsl:stylesheet>
