<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
	xmlns:plesk	="http://www.swsoft.com/xsl/cp/plesk"
	xmlns:ve		="http://www.swsoft.com/xsl/cp/ve"
  >

  <xsl:output method="xml"/>

  <xsl:template match="/">
    <packet>
      <target>sessionm</target>  
      <data>
        <sessionm>
          <logout>
            <session_id><xsl:value-of select="$ticket"/></session_id>
          </logout>
        </sessionm>
      </data>

      <xsl:if test="sw:sesget('login-plesk') and ve:context-state() = $env-state/running">
        <!--  logout from plesk -->
        <xsl:call-template name="plesk:make-logout-plesk"/>
      </xsl:if>

    </packet>
  </xsl:template>


	<sw:include href="/lib/vt/env-core.xsl"/>
  <sw:include href="../lib/progm.xsl"/>
  <sw:include href="../lib/psa_auth.xsl"/>
</xsl:stylesheet>
