<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  xmlns:str="http://exslt.org/strings"  
  >

  <xsl:template mode="screen" match="/">
    <xsl:variable name="pos" select="sw:param('pos')"/>
    <ui:popup-screen id="03.00.00.00.07" title="{sw:text('Error Details')}">
			<ui:properties>
				<ui:form-get/>
				<ui:refresh href="{$requesturl}?pos={$pos}"/>
			</ui:properties>
			<ui:content>
				<ui:raw>
					<fieldset class="OpStatusError">
						<legend align="center">&#x20;<sw:text>Error Details</sw:text>&#x20;</legend>
						 <xsl:variable name="details" select="str:split(sw:sesgettree('errors-old')/error[position()=$pos]/details,'&#10;')"/>
							<xsl:for-each select="$details">
								<xsl:value-of disable-output-escaping="yes" select="."/><br/>
							</xsl:for-each>
							<img src="/{$theme}/images/1x1.gif" width="1" height="1"/><br/>
					</fieldset>
				</ui:raw>
			</ui:content>
    </ui:popup-screen>
  </xsl:template>

  <sw:include href="/lib/screen.xsl"/>

</xsl:stylesheet>
