<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:http="http://www.swsoft.com/xsl/cp/http"
  >
  <xsl:output method="html"/>

	<xsl:param name="theme" select="'winxp.new'"/>

  <xsl:template match="/">
	<http:header>
		<name>Status</name>
		<value>500 Application Error</value>
	</http:header>
	<http:header>
		<name>Content-type</name>
		<value>text/html</value>
	</http:header>
<html>
	<head>
		<title>500 - Application Error</title>
	      <style type="text/css">
		.SWBig	{
			font-size: 20px;
			font-family: "Franklin Gothic Medium", Verdana, Geneva, Arial, Helvetica, sans-serif;
			color: #000000;
			}
		body {
			font-family: Tahoma, Verdana, Arial, Helvetica, sans-serif;
			font-size: 12px;
			font-weight: normal;
			color: #000000;
			margin:  10px;
			background-color: #F9F8F8;    
		}
		.p_header{
			color:#FFFFFF;
			font-weight:bold;
			font-size: 13px;
			background-color:#4F9674;
			padding:3px;
		}
	      </style>	   
	</head>
	<body>
		<span class="SWBig"><sw:text>Application Error</sw:text></span>
		<p/>
		<sw:text>The server has encountered an internal error or misconfiguration.</sw:text>
		<p/>
		<div class="p_header"><sw:text>Contact your support representative.</sw:text></div>
		<br/>
		<sw:text>Please report this problem to the technical support.</sw:text>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>
